<template>
	<v-row class="search-box" align="center" no-gutters>
		<v-col v-if="label" :cols="labelCols">
			<label for="" class="search-box-label">
				<v-icon x-small color="primary" class="mr-1">mdi-record-circle</v-icon>
				{{ label }}
			</label>
		</v-col>
		<v-col :cols="label ? textCols : ''">
			<v-select
				v-model="selectValue"
				:items="searchParam[parentPrgmId].unitList"
				item-text="commCdNm"
				item-value="commCd"
				solo
				outlined
				:hide-details="true"
				append-icon="mdi-chevron-down"
				class="v-select__custom"
			></v-select>
			<!-- @change="updateBlocCode($event)" -->
		</v-col>
	</v-row>
</template>

<script>
import { mapState, mapMutations, mapActions } from 'vuex';
export default {
	props: {
		parentPrgmId: {
			type: String,
			require: true,
		},
		label: {
			type: String,
			require: false,
			default: '검침 그룹',
		},
		textCols: {
			type: Number,
			require: false,
			default: 7,
		},
		labelCols: {
			type: Number,
			require: false,
			default: 4,
		},
	},
	data() {
		return {
			// label: "검침대상유형",
			// labelPrepend: true
		};
	},
	computed: {
		...mapState({
			searchParam: state => state.pageData,
		}),
		selectValue: {
			get() {
				return this.searchParam[this.parentPrgmId].unitCd;
			},
			set(value) {
				return this.setPageData({ mttGrp: value });
			},
		},
	},
	created() {
		const params = {
			commGrpCd: 'CM_UNIT',
			useFg: '1',
		};
		this.getUnitList(params);
	},
	methods: {
		...mapMutations({ setPageData: 'setPageData' }),
		...mapActions({
			getUnitList: 'modules/search/getUnitList',
		}),
	},
};
</script>

<style></style>
